
import usb.core
import usb.util

import threading

def write_data(dev, ep):
    while True:
        try:
            to_board = input("")
            to_board = to_board + "\n"
            dev.write(ep.bEndpointAddress, to_board.encode())
            #dev.write(ep.bEndpointAddress, "abcdefghijklmnopqrstuvwxyz abcdefghijklmnopqrstuvwxyz abcdefghi\n")
        except usb.core.USBError as e:
            data = None
            if e.args == ('Operation timed out',):
                continue

def read_data(dev, ep):
    while True:
        try:
            data = dev.read(ep.bEndpointAddress, ep.wMaxPacketSize)
            print(data)
        except usb.core.USBError as e:
            data = None
            if e.args == ('Operation timed out',):
                continue

def main():
    device = usb.core.find(idVendor=0x1915, idProduct=0x520B)
    '''
    for device in device:
        print(device)
    '''
    # use the first/default configuration
    device.set_configuration()
    # endpoint
    endpoint_in = device[0][(1,0)][0]
    endpoint_out = device[0][(1,0)][1]
    print(endpoint_in)
    print(endpoint_out)
    
    thread_r = threading.Thread(target=read_data, args = (device, endpoint_in))
    thread_r.start()

    thread_w = threading.Thread(target=write_data, args = (device, endpoint_out))
    thread_w.start()
    
if __name__ == '__main__':
  main()
